Extending Qt Creator Manual | ASTSignal

Extending Qt Creator Manual 4.3.0

# ASTSignal Class

(QmlJS::ASTSignal)

Inherits: | QmlJS::FunctionValue

- List of all members, including inherited members

## Public Functions

| ASTSignal(AST::UiPublicMember *ast, const Document *doc, ValueOwner *valueOwner)
| ~ASTSignal()
AST::UiPublicMember * | ast() const
const ObjectValue * | bodyScope() const
QString | slotName() const

- 6 public functions inherited from QmlJS::FunctionValue
- 14 public functions inherited from QmlJS::ObjectValue
- 29 public functions inherited from QmlJS::Value

## Member Function Documentation

### ASTSignal::ASTSignal(AST::UiPublicMember *ast, const Document *doc, ValueOwner *valueOwner)

Default constructs an instance of ASTSignal.

### ASTSignal::~ASTSignal()

Destroys the instance of ASTSignal.

### AST::UiPublicMember *ASTSignal::ast() const

### const ObjectValue *ASTSignal::bodyScope() const

### QString ASTSignal::slotName() const